Metafor

ULiege - Aerospace & Mechanical Engineering

User Tools

Site Tools


commit:2020:02_07

Commit 2020-02-07

Ce commit ne consiste qu'à mettre à jour la configuration 'garfield.cmake' pour utiliser le Visual Studio 2017 au lieu du Visual Studio 2015.

J'ai donc recompilé toutes les bibliothèques nécessaires à Metafor avec ce “nouveau” compilateur. Le choix de la version 2017 a été faite parce qu'il s'agit du compilateur de référence pour la majorité des programmes actuels (malgré le fait qu'il existe une version 2019), et en particulier python 3.7 et 3.8. En effet, mon but est de recompiler maintenant les bibliothèques dépendant de python avec ce même compilateur pour avoir un set de bibliothèques compatibles python 2 et 3 qui me permettront d'effectuer la migration python 3 à mon rythme.

Concernant la batterie, elle passe sans problème.

En pratique, j'ai pris la peine de migrer la plupart de mes libs vers la toute dernière version garantissant, d'une part, la compatibilité des libs les unes avec les autres et, d'autre part, la compatibilité python 2. Il faut savoir que de nombreuses libs ne supportent plus python 2 et j'ai donc pris à ce moment la dernière version compatible python 2.

Voici les versions finales des libs utilisées:

  1. python 2.7.16 (version patchée VS2017 par le concepteur de “Calibre”, le logiciel d'e-book bien connu),
  2. VTK 7.1.1 (la version 8.x ne permet pas la compilation OpenGL1 et donc l'utilisation de Metafor dans une virtualbox, de plus VTK 8 nécessiterait des micros modifs dans le code)
  3. Parallel Studio 2019.3
  4. Qt 5.13.2
  5. cmake 3.12 (! warnings SWIG dans les versions qui suivent, la dernière version tant même buguée lorsqu'on fait du SWIG en version debug!)
  6. parasolid 32.0
  7. numpy 1.16.6
  8. scipy 1.2.2 (version >1.2.2 incompatibles python 2!)

J'ai un mémo pour ceux qui voudraient recompiler leurs libs et devenir des non-assistés.

commit/2020/02_07.txt · Last modified: 2020/02/07 11:37 by boman